/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmslucontentln
#define headerfilecmslucontentln

#include "functionbase.h"



namespace Fun
{


class Ln : public FunctionBase
{
public:

	Ln();
	bool HasAccess();
	void CreateSymbolicLink(const std::wstring & link_to);
	void CreateHardLink(const std::wstring & link_to);
	void MakePost();

private:

	Item item;
	std::wstring link_to;
	std::vector<Item*> dir_tab;

};


} // namespace

#endif
