/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmslucontenttemplate
#define headerfilecmslucontenttemplate

#include "functionbase.h"



namespace Fun
{


class Template : public FunctionBase
{
public:

	Template();
	bool HasAccess();
	void MakePost();

private:

	std::wstring html_template;
	void CreateTemplateFileName(const std::wstring & index_str);
	void ChangeTemplate(Item & item);
	void PutLog(Item & item);
};


} // namespace

#endif
