/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfile_winix_notify_templatesnotify
#define headerfile_winix_notify_templatesnotify

#include "ezc.h"
#include "core/textstream.h"
#include "notifypool.h"



namespace TemplatesNotifyFunctions
{
	typedef TextStream<std::wstring> NotifyStream;
	typedef Ezc::FunInfo<NotifyStream> Info;

	extern NotifyUserMsg notify_user_msg;
	extern NotifyMsg     notify_msg;

	extern Ezc::Functions<NotifyStream> ezc_functions;
	void CreateFunctions();
}


#endif
