/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include <string.h>
#include "bot.h"

namespace Stats
{



void Bot::SetBrowserName(const char * name)
{
	browser_name = name;
}



bool Bot::BrowserNameHas(const char * name)
{
	return strstr(browser_name, name) != 0;
}



bool Bot::IsGoogle()
{
	return BrowserNameHas("Googlebot") && BrowserNameHas("+http://www.google.com/bot.html");
}



bool Bot::IsYahoo()
{
	return BrowserNameHas("Yahoo!") && BrowserNameHas("yahoo.com");
}


bool Bot::IsBing()
{
	if( BrowserNameHas("msnbot") && BrowserNameHas("+http://search.msn.com/msnbot.htm") )
		return true;

	return BrowserNameHas("bingbot") && BrowserNameHas("+http://www.bing.com/bingbot.htm");
}


} // namespace
