/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2009-2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfile_winix_plugins_thread_thread
#define headerfile_winix_plugins_thread_thread

#include <string>


namespace Thread
{




class Thread
{
public:

	long file_id;

	//long parent_id;
	
	long dir_id;
	bool closed;

	// how many items there are inside
	long items;
	
	// last item in the directory (this variable is mainly for reading)
	// at the moment only used: id, date_modification, user_id
	Item last_item;
	
	// used when sorting
	unsigned long sort;

	void Clear()
	{
		id = parent_id = dir_id = -1;
		last_item.Clear();
		closed = false;
		items = 0;
		sort = 0;
	}

	Thread()
	{
		Clear();
	}

};



} // namespace

#endif


