#include <limits>
#include "ticketconf.h"


TicketConf::TicketItem::TicketItem()
{
	Clear();
}


void TicketConf::TicketItem::Clear()
{
	id = 0;
	name.clear();
	type = TypeInteger;
	integer_min = std::numeric_limits<long>::min();
	integer_max = std::numeric_limits<long>::max();
	max_files = 0;
	upload_dir.clear();
	select.clear();
	select_default = 0;
}

void TicketConf::Clear()
{
	tab.clear();
}



