/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include "priv.h"



namespace Fun
{


Priv::Priv()
{
	fun.url = L"priv";
}


void Priv::MakePost()
{
	priv_changer.SetRequest(request);
	priv_changer.SetSystem(system);
	priv_changer.SetDb(db);

	priv_changer.Change(true, true);
}


void Priv::MakeGet()
{
	priv_changer.SetRequest(request);
	priv_changer.SetSystem(system);
	priv_changer.SetDb(db);

	priv_changer.CheckAccess();
}



} // namespace
