/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include "run.h"



namespace Fun
{

Run::Run()
{
	fun.url = L"run";
}



void Run::MakePost()
{
	MakeGet();
}


void Run::MakeGet()
{
	if( !request->is_item )
	{
		log << log1 << "Content: Run function requires an item" << logend;
		request->status = WINIX_ERR_NO_ITEM;
		return;
	}
	
	if( !system->HasReadExecAccess(request->item) )
	{
		request->status = WINIX_ERR_PERMISSION_DENIED;
		return;
	}
}


} // namespace
