/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmslucontentsubject
#define headerfilecmslucontentsubject

#include "functionbase.h"



namespace Fun
{


class Subject : public FunctionBase
{
public:

	Subject();
	void MakePost();
	void MakeGet();

private:

	bool SubjectCheckAccess();
	void EditDirSubject();
	void EditFileSubject();

};


} // namespace

#endif
