/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfile_winix_plugins_thread_createthread
#define headerfile_winix_plugins_thread_createthread

#include "functions/functionbase.h"



namespace Thread
{


class CreateThread : public FunctionBase
{
public:

	CreateThread();
	bool HasAccess(bool check_root);
	bool HasAccess();
	void MakePost();

private:

	Thread thread;

	bool FunCreateThreadCheckAbuse();
	void ReadThread();
	void AddThread();
	void PostFunCreateThreadLogAndRedirect();
};


} // namespace

#endif
