/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include "funticket.h"



namespace Ticket
{



FunTicket::FunTicket()
{
	fun.url = L"ticket";
}


void FunTicket::SetTDb(TDb * ptdb)
{
	tdb = ptdb;
}


void FunTicket::SetTicketInfo(TicketInfo * pinfo)
{
	ticket_info = pinfo;
}


bool FunTicket::HasAccess()
{
	return request->is_item && system->HasReadAccess(request->item);
}


void FunTicket::MakeGet()
{
	ticket_info->Clear();
	ticket_info->FindCurrentConf();
	ticket_info->ticket = &ticket;

	tdb->GetTicket(request->item.id, ticket);
}



} // namespace
