/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfile_winix_plugins_ticket_funticket
#define headerfile_winix_plugins_ticket_funticket

#include "tdb.h"
#include "ticketinfo.h"
#include "functions/functionbase.h"


namespace Ticket
{


class FunTicket : public FunctionBase
{
public:

	FunTicket();
	void SetTDb(TDb * ptdb);
	void SetTicketInfo(TicketInfo * pinfo);

	bool HasAccess();
	void MakeGet();

private:

	TDb * tdb;
	TicketInfo * ticket_info;
	Ticket ticket;

};


} // namespace

#endif
