/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include <ctime>
#include "templates.h"
#include "../core/request.h"
#include "misc.h"


namespace TemplatesFunctions
{

static size_t upload_ckeditor_reqid = 0;
static int upload_fun_num = 0;



void upload_ckeditor_funnum(Info & i)
{
	if( upload_ckeditor_reqid != request->id )
	{
		upload_ckeditor_reqid = request->id;
		upload_fun_num = ParseCKeditorFun();
	}

	i.out << upload_fun_num;
}

} // namespace
